org.apache.xmpbox.type

## Class JobType

- java.lang.Object
- - org.apache.xmpbox.type.AbstractField
  - - org.apache.xmpbox.type.AbstractComplexProperty
    - - org.apache.xmpbox.type.AbstractStructuredType
      - - org.apache.xmpbox.type.JobType

    public class JobType
    extends AbstractStructuredType

### Field Summary

Fields
`static String` `ID`
`static String` `NAME`
`static String` `URL`

### Fields inherited from class org.apache.xmpbox.type.AbstractStructuredType

`STRUCTURE_ARRAY_NAME`

### Constructor Summary

Constructors
Constructor and Description
`JobType(XMPMetadata metadata)`
`JobType(XMPMetadata metadata, String fieldPrefix)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getId()`
`String` `getName()`
`String` `getUrl()`
`void` `setId(String id)`
`void` `setName(String name)`
`void` `setUrl(String name)`

### Methods inherited from class org.apache.xmpbox.type.AbstractStructuredType

`addSimpleProperty, createArrayProperty, createTextType, getDatePropertyAsCalendar, getNamespace, getPreferedPrefix, getPrefix, getPropertyValueAsString, setNamespace, setPrefix`

### Methods inherited from class org.apache.xmpbox.type.AbstractComplexProperty

`addNamespace, addProperty, getAllNamespacesWithPrefix, getAllProperties, getArrayProperty, getContainer, getFirstEquivalentProperty, getNamespacePrefix, getProperty, removeProperty`

### Methods inherited from class org.apache.xmpbox.type.AbstractField

`containsAttribute, getAllAttributes, getAttribute, getMetadata, getPropertyName, removeAttribute, setAttribute, setPropertyName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ID

    public static final String ID

See Also:
  Constant Field Values

#### NAME

    public static final String NAME

See Also:
  Constant Field Values

#### URL

    public static final String URL

See Also:
  Constant Field Values

### Constructor Detail

#### JobType

    public JobType(XMPMetadata metadata)

#### JobType

    public JobType(XMPMetadata metadata,
                   String fieldPrefix)

### Method Detail

#### setId

    public void setId(String id)

#### setName

    public void setName(String name)

#### setUrl

    public void setUrl(String name)

#### getId

    public String getId()

#### getName

    public String getName()

#### getUrl

    public String getUrl()